struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Craig R. McClanahan" <craig...@apache.org>
Subject Re: Strtus 1.0 and Tomcat 4.0
Date Tue, 21 Aug 2001 16:45:03 GMT


On Tue, 21 Aug 2001, Sarbjit Singh wrote:

> Hi, does Stutrs 1.0 work at all with Tomcat 4.0?

Sure ... since I'm the primary developer of both Struts and Tomcat 4.0,
you can count on that!

In fact, Tomcat 4 should run *any* web app based on the Servlet 2.2 and
JSP 1.1 specs just fine.  Backwards compatibility is required by the new
Servlet 2.3 and JSP 1.2 specs that Tomcat 4.0 supports.

> Is there a 1.1 version of struts that may work with it?
> Where can i find infor about working Struts 1.0 - 1.1 with Tomcat 4.0
> 

The only thing you need to do is make sure an XML parser is visible to
your webapps -- either copy the JAXP jar files (or Xerces) into
$CATALINA_HOME/lib, or into your web app's /WEB-INF/lib, and you're all
set.

> Also, has anyone tried Struts with Sun Fote's interal Tomcat?
> 
> Thanks
> Sarbjit
> 
> 
Craig



Mime
View raw message